# Class Awperative

Namespace
  Awperative

Assembly
  Awperative.dll

Initiating class of Awperative. Call Start() to start the kernel.

    public static class Awperative

Inheritance
  object
  Awperative

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### Base

Bottom class of Awperative. Contains the MonoGame instance.

    public static Base Base { get; }

#### Property Value

Base

### ContentManager

Handles loading content through MonoGame.

    public static ContentManager ContentManager { get; }

#### Property Value

ContentManager

### EventHooks

List of all event hooks currently loaded in the kernel.

    public static List<AwperativeHook> EventHooks { get; }

#### Property Value

List<AwperativeHook>

### GraphicsDeviceManager

Handles graphics settings through MonoGame.

    public static GraphicsDeviceManager GraphicsDeviceManager { get; }

#### Property Value

GraphicsDeviceManager

### LoadedScenes

List of all scenes currently loaded in the kernel.

    public static List<Scene> LoadedScenes { get; }

#### Property Value

List<Scene>

### SpriteBatch

Handles drawing sprites to the screen through MonoGame.

    public static SpriteBatch SpriteBatch { get; }

#### Property Value

SpriteBatch

## Methods

### Start(List<AwperativeHook>)

Start() begins the game; and begins communication with all event hooks.

    public static void Start(List<AwperativeHook> __hooks)

#### Parameters

`__hooks` List<AwperativeHook>

  List of all event hooks you wish to use.

#### Remarks

You cannot add new hooks later; so make sure to register all of them in the Start() method.